# vim: set sw=4 ts=4 et nu:

Name:           perl-Project-Gantt
Version:        1.01
Release:        1.1
Summary:        Create Gantt charts to manage project scheduling
Source:         http://search.cpan.org/CPAN/authors/id/A/AW/AWESTHOLM/Project-Gantt-1.03.tar.gz
URL:            http://search.cpan.org/dist/Project-Gantt
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  perl(Image::Magick)
BuildRequires:  perl(Class::Date)
Requires:       perl(Image::Magick)
Requires:       perl(Class::Date)

%description
Project::Gantt provides the ability to easily draw Gantt charts for managing
the schedules of projects and many other things. Gantt charts provide a simple,
easy to comprehend visual representation of a schedule.

%prep
%setup -q -n Gantt
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Project
%{perl_vendorlib}/Project/Gantt.pm
%{perl_vendorlib}/Project/Gantt
%dir %{perl_vendorarch}/auto/Project
%{perl_vendorarch}/auto/Project/Gantt
%doc %{perl_man3dir}/Project::Gantt.%{perl_man3ext}%{ext_man}

%changelog
* Wed Dec 29 2010 pascal.bleser@opensuse.org
- initial version (1.01)
